Subject: Re: compile problems with gimp
From: [email-masked] (Earnie Boyd)

23 Sep 1997 17:52:31 -0700
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

>From: [email-masked] (Chris Faylor)
>Subject: Re: compile problems with gimp
>Date: Tue, 23 Sep 1997 20:49:55 GMT
>To: [email-masked]
>
>In article <[email-masked]>,
>Earnie Boyd <[email-masked]> wrote:
>>>Date: Tue, 23 Sep 1997 20:39:02 -0400
>>>From: Michael Zawacki <[email-masked]>
>>>To: gnuwin <[email-masked]>
>>>Subject: compile problems with gimp
>>>
>>>    I have come across an "undefined reference to" setpwent.  Has 
>>anyone
>>>heard of this function.  Gimp calls it with no parameters, and I 
can't
>>>find it in any of the include files in X11 or cygwin. Is this a motif
>>>call?
>>
>>Although "setpwent" is correct, it is misspelled in libcygwin.a as 
>>"setpwend".  If you substitute setpwent with setpwend it should link 
>>fine.
>>
>>By the way the version of libcygwin.a from Sergey Okhapkin know as 
>>coolview has this corrected.  However, if you are using a FAT 
directory 
>>structure that gets created and grows quickly, so don't use it.
>
>Sergey's stuff is quite nice, and you really should use it, but if you
>can't, it is relatively easy to edit the file with 'vim -b' or emacs
>and change all occurrences of setpwend to setpwent.
>
>cgf
>-- 
>http://www.bbc.com/	[email-masked]			"Strange how unreal
>VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

Now why didn't I think of that??

Thanks,

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".